package server

import (
	lib "git.sr.ht/~cco/go-scopes"
	"git.sr.ht/~cco/go-scopes/config"
	"github.com/gin-gonic/gin"
)

type Cfg struct {
	*config.BaseCfg
	Port   string
	Addr   string
	routes []routeCfg
}

type routeCfg struct {
	methods []string
	path    string
	spec    routeSpec
}

type routeSpec interface{}

type fsSpec struct {
	docRoot string
}

type rcellSpec struct {
	lib.Config
}

type Handler func(lib.Context, *gin.Context)
